{-# LANGUAGE MagicHash #-}
{-# LANGUAGE ScopedTypeVariables #-}
{-# LANGUAGE Rank2Types #-}
{-# LANGUAGE CPP #-}
{-# OPTIONS_GHC -fno-warn-overlapping-patterns #-}
{-# OPTIONS_GHC -fno-warn-missing-methods #-}
#if __GLASGOW_HASKELL__ >= 800
{-# OPTIONS_GHC -fno-warn-redundant-constraints #-}
#else
{-# OPTIONS_GHC -fno-warn-duplicate-constraints #-}
#endif

module FlatCurry.Curry_Files
  ( d_C_readFlatCurry
  , d_C_readFlatCurryWithParseOptions
  , d_C_flatCurryFileName
  , d_C_flatCurryIntName
  , d_C_readFlatCurryFile
  , d_C_readFlatCurryInt
  , d_C_readFlatCurryIntWithParseOptions
  , d_C_writeFCY
  , d_C_lookupFlatCurryFileInLoadPath
  , d_C_getFlatCurryFileInLoadPath )
  where

import Basics
import qualified Curry_Directory
import qualified Curry_Distribution
import qualified Curry_FileGoodies
import qualified Curry_FilePath
import qualified FlatCurry.Curry_Types
import qualified Curry_Prelude
import qualified Curry_ReadShowTerm
import qualified System.Curry_FrontendExec


d_C_readFlatCurry :: Curry_Prelude.OP_List Curry_Prelude.C_Char -> Cover
  -> ConstStore -> Curry_Prelude.C_IO FlatCurry.Curry_Types.C_Prog
d_C_readFlatCurry x1 cd cs = d_C_readFlatCurryWithParseOptions x1
  (System.Curry_FrontendExec.d_C_setQuiet Curry_Prelude.C_True
  (System.Curry_FrontendExec.d_C_defaultParams cd cs) cd cs) cd cs

d_C_readFlatCurryWithParseOptions :: Curry_Prelude.OP_List Curry_Prelude.C_Char
  -> System.Curry_FrontendExec.C_FrontendParams -> Cover -> ConstStore
  -> Curry_Prelude.C_IO FlatCurry.Curry_Types.C_Prog
d_C_readFlatCurryWithParseOptions x1 x2 cd cs =
  Curry_Prelude.d_OP_uscore_impl_hash_gt_gt_eq_hash_Prelude_dot_Monad_hash_Prelude_dot_IO
  (Curry_Distribution.d_C_lookupModuleSourceInLoadPath x1 cd cs)
  (d_OP_readFlatCurryWithParseOptions_dot_uscore_hash_lambda2 x2 x1) cd cs

d_OP_readFlatCurryWithParseOptions_dot_uscore_hash_lambda2 :: System.Curry_FrontendExec.C_FrontendParams
  -> Curry_Prelude.OP_List Curry_Prelude.C_Char -> Curry_Prelude.C_Maybe
  (Curry_Prelude.OP_Tuple2 (Curry_Prelude.OP_List Curry_Prelude.C_Char)
  (Curry_Prelude.OP_List Curry_Prelude.C_Char)) -> Cover -> ConstStore
  -> Curry_Prelude.C_IO FlatCurry.Curry_Types.C_Prog
d_OP_readFlatCurryWithParseOptions_dot_uscore_hash_lambda2 x1 x2 x3 cd cs =
  case x3 of
  Curry_Prelude.C_Nothing -> Curry_Prelude.d_OP_uscore_impl_hash_gt_gt_eq_hash_Prelude_dot_Monad_hash_Prelude_dot_IO
    (Curry_Distribution.d_C_getLoadPathForModule x2 cd cs)
    (d_OP_readFlatCurryWithParseOptions_dot_uscore_hash_lambda2_dot_uscore_hash_lambda7
    x2) cd cs
  Curry_Prelude.C_Just x4 -> d_C__case_1 x2 x1 x4 cd cs
  Curry_Prelude.Choice_C_Maybe d i l r -> narrow d i
    (d_OP_readFlatCurryWithParseOptions_dot_uscore_hash_lambda2 x1 x2 l cd cs)
    (d_OP_readFlatCurryWithParseOptions_dot_uscore_hash_lambda2 x1 x2 r cd cs)
  Curry_Prelude.Choices_C_Maybe d i xs -> narrows cs d i (\z ->
    d_OP_readFlatCurryWithParseOptions_dot_uscore_hash_lambda2 x1 x2 z cd cs) xs
  Curry_Prelude.Guard_C_Maybe d c e -> guardCons d c
    (d_OP_readFlatCurryWithParseOptions_dot_uscore_hash_lambda2 x1 x2 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_C_Maybe d info -> failCons d (traceFail
    "FlatCurry.Files.readFlatCurryWithParseOptions._#lambda2" [show x1, show x2
    , show x3] info)
  _ -> failCons cd (consFail
    "FlatCurry.Files.readFlatCurryWithParseOptions._#lambda2" (showCons x3))

d_OP_readFlatCurryWithParseOptions_dot_uscore_hash_lambda2_dot_uscore_hash_lambda7 :: Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Curry_Prelude.OP_List (Curry_Prelude.OP_List
  Curry_Prelude.C_Char) -> Cover -> ConstStore -> Curry_Prelude.C_IO
  FlatCurry.Curry_Types.C_Prog
d_OP_readFlatCurryWithParseOptions_dot_uscore_hash_lambda2_dot_uscore_hash_lambda7 x1 x2 cd cs =
  let x3 = x2
  in Curry_Prelude.d_OP_uscore_impl_hash_gt_gt_eq_hash_Prelude_dot_Monad_hash_Prelude_dot_IO
  (Curry_FileGoodies.d_C_getFileInPath (d_C_flatCurryFileName
  (Curry_Prelude.d_C_apply (Curry_FilePath.d_C_takeFileName cd cs) x1 cd cs) cd
  cs) (Curry_Prelude.OP_Cons Curry_Prelude.OP_List Curry_Prelude.OP_List) x3 cd
  cs)
  d_OP_readFlatCurryWithParseOptions_dot_uscore_hash_lambda2_dot_uscore_hash_lambda7_dot_uscore_hash_lambda9
  cd cs

d_OP_readFlatCurryWithParseOptions_dot_uscore_hash_lambda2_dot_uscore_hash_lambda7_dot_uscore_hash_lambda9 :: Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Cover -> ConstStore -> Curry_Prelude.C_IO
  FlatCurry.Curry_Types.C_Prog
d_OP_readFlatCurryWithParseOptions_dot_uscore_hash_lambda2_dot_uscore_hash_lambda7_dot_uscore_hash_lambda9 x1 cd cs =
  let x2 = x1 in d_C_readFlatCurryFile x2 cd cs

d_C_flatCurryFileName :: Curry_Prelude.OP_List Curry_Prelude.C_Char -> Cover
  -> ConstStore -> Curry_Prelude.OP_List Curry_Prelude.C_Char
d_C_flatCurryFileName x1 cd cs = Curry_Prelude.d_C_apply
  (Curry_Prelude.d_C_apply (Curry_FilePath.d_OP_lt_dot_gt cd cs)
  (Curry_Distribution.d_C_inCurrySubdir (Curry_Distribution.d_C_stripCurrySuffix
  x1 cd cs) cd cs) cd cs) (Curry_Prelude.toCurryString "fcy") cd cs

d_C_flatCurryIntName :: Curry_Prelude.OP_List Curry_Prelude.C_Char -> Cover
  -> ConstStore -> Curry_Prelude.OP_List Curry_Prelude.C_Char
d_C_flatCurryIntName x1 cd cs = Curry_Prelude.d_C_apply (Curry_Prelude.d_C_apply
  (Curry_FilePath.d_OP_lt_dot_gt cd cs) (Curry_Distribution.d_C_inCurrySubdir
  (Curry_Distribution.d_C_stripCurrySuffix x1 cd cs) cd cs) cd cs)
  (Curry_Prelude.toCurryString "fint") cd cs

d_C_readFlatCurryFile :: Curry_Prelude.OP_List Curry_Prelude.C_Char -> Cover
  -> ConstStore -> Curry_Prelude.C_IO FlatCurry.Curry_Types.C_Prog
d_C_readFlatCurryFile x1 cd cs =
  Curry_Prelude.d_OP_uscore_impl_hash_gt_gt_eq_hash_Prelude_dot_Monad_hash_Prelude_dot_IO
  (Curry_Directory.d_C_doesFileExist x1 cd cs)
  (d_OP_readFlatCurryFile_dot_uscore_hash_lambda15 x1) cd cs

d_OP_readFlatCurryFile_dot_readExistingFCY_dot_18 :: forall t0 . (Curry_Prelude.Curry
  t0) => Curry_Prelude.OP_List Curry_Prelude.C_Char -> Cover -> ConstStore
  -> Curry_Prelude.C_IO t0
d_OP_readFlatCurryFile_dot_readExistingFCY_dot_18 x1 cd cs =
  Curry_Prelude.d_OP_uscore_impl_hash_gt_gt_eq_hash_Prelude_dot_Monad_hash_Prelude_dot_IO
  (Curry_Prelude.d_C_readFile x1 cd cs)
  d_OP_readFlatCurryFile_dot_readExistingFCY_dot_18_dot_uscore_hash_lambda12 cd
  cs

d_OP_readFlatCurryFile_dot_readExistingFCY_dot_18_dot_uscore_hash_lambda12 :: forall t0 . (Curry_Prelude.Curry
  t0) => Curry_Prelude.OP_List Curry_Prelude.C_Char -> Cover -> ConstStore
  -> Curry_Prelude.C_IO t0
d_OP_readFlatCurryFile_dot_readExistingFCY_dot_18_dot_uscore_hash_lambda12 x1 cd cs =
  let x2 = x1
  in Curry_Prelude.d_OP_uscore_impl_hash_return_hash_Prelude_dot_Monad_hash_Prelude_dot_IO
  (Curry_ReadShowTerm.d_C_readUnqualifiedTerm (Curry_Prelude.OP_Cons
  (Curry_Prelude.toCurryString "FlatCurry.Types") (Curry_Prelude.OP_Cons
  (Curry_Prelude.toCurryString "Prelude") Curry_Prelude.OP_List)) x2 cd cs) cd
  cs

d_OP_readFlatCurryFile_dot_uscore_hash_lambda15 :: Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Curry_Prelude.C_Bool -> Cover -> ConstStore
  -> Curry_Prelude.C_IO FlatCurry.Curry_Types.C_Prog
d_OP_readFlatCurryFile_dot_uscore_hash_lambda15 x1 x2 cd cs = case x2 of
  Curry_Prelude.C_True -> d_OP_readFlatCurryFile_dot_readExistingFCY_dot_18 x1
    cd cs
  Curry_Prelude.C_False -> let x3 = Curry_Distribution.d_C_inCurrySubdir x1 cd
                                 cs
    in Curry_Prelude.d_OP_uscore_impl_hash_gt_gt_eq_hash_Prelude_dot_Monad_hash_Prelude_dot_IO
    (Curry_Directory.d_C_doesFileExist x3 cd cs)
    (d_OP_readFlatCurryFile_dot_uscore_hash_lambda15_dot_uscore_hash_lambda18 x1
    x3) cd cs
  Curry_Prelude.Choice_C_Bool d i l r -> narrow d i
    (d_OP_readFlatCurryFile_dot_uscore_hash_lambda15 x1 l cd cs)
    (d_OP_readFlatCurryFile_dot_uscore_hash_lambda15 x1 r cd cs)
  Curry_Prelude.Choices_C_Bool d i xs -> narrows cs d i (\z ->
    d_OP_readFlatCurryFile_dot_uscore_hash_lambda15 x1 z cd cs) xs
  Curry_Prelude.Guard_C_Bool d c e -> guardCons d c
    (d_OP_readFlatCurryFile_dot_uscore_hash_lambda15 x1 e cd $! addCs c cs)
  Curry_Prelude.Fail_C_Bool d info -> failCons d (traceFail
    "FlatCurry.Files.readFlatCurryFile._#lambda15" [show x1, show x2] info)
  _ -> failCons cd (consFail "FlatCurry.Files.readFlatCurryFile._#lambda15"
    (showCons x2))

d_OP_readFlatCurryFile_dot_uscore_hash_lambda15_dot_uscore_hash_lambda18 :: Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Curry_Prelude.OP_List Curry_Prelude.C_Char
  -> Curry_Prelude.C_Bool -> Cover -> ConstStore -> Curry_Prelude.C_IO
  FlatCurry.Curry_Types.C_Prog
d_OP_readFlatCurryFile_dot_uscore_hash_lambda15_dot_uscore_hash_lambda18 x1 x2 x3 cd cs =
  case x3 of
  Curry_Prelude.C_True -> d_OP_readFlatCurryFile_dot_readExistingFCY_dot_18 x2
    cd cs
  Curry_Prelude.C_False -> Curry_Prelude.d_C_error (Curry_Prelude.d_OP_plus_plus
    (Curry_Prelude.toCurryString "EXISTENCE ERROR: FlatCurry file '")
    (Curry_Prelude.d_OP_plus_plus x1 (Curry_Prelude.toCurryString
    "' does not exist") cd cs) cd cs) cd cs
  Curry_Prelude.Choice_C_Bool d i l r -> narrow d i
    (d_OP_readFlatCurryFile_dot_uscore_hash_lambda15_dot_uscore_hash_lambda18 x1
    x2 l cd cs)
    (d_OP_readFlatCurryFile_dot_uscore_hash_lambda15_dot_uscore_hash_lambda18 x1
    x2 r cd cs)
  Curry_Prelude.Choices_C_Bool d i xs -> narrows cs d i (\z ->
    d_OP_readFlatCurryFile_dot_uscore_hash_lambda15_dot_uscore_hash_lambda18 x1
    x2 z cd cs) xs
  Curry_Prelude.Guard_C_Bool d c e -> guardCons d c
    (d_OP_readFlatCurryFile_dot_uscore_hash_lambda15_dot_uscore_hash_lambda18 x1
    x2 e cd $! addCs c cs)
  Curry_Prelude.Fail_C_Bool d info -> failCons d (traceFail
    "FlatCurry.Files.readFlatCurryFile._#lambda15._#lambda18" [show x1, show x2
    , show x3] info)
  _ -> failCons cd (consFail
    "FlatCurry.Files.readFlatCurryFile._#lambda15._#lambda18" (showCons x3))

d_C_readFlatCurryInt :: Curry_Prelude.OP_List Curry_Prelude.C_Char -> Cover
  -> ConstStore -> Curry_Prelude.C_IO FlatCurry.Curry_Types.C_Prog
d_C_readFlatCurryInt x1 cd cs = d_C_readFlatCurryIntWithParseOptions x1
  (System.Curry_FrontendExec.d_C_setQuiet Curry_Prelude.C_True
  (System.Curry_FrontendExec.d_C_defaultParams cd cs) cd cs) cd cs

d_C_readFlatCurryIntWithParseOptions :: Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> System.Curry_FrontendExec.C_FrontendParams -> Cover
  -> ConstStore -> Curry_Prelude.C_IO FlatCurry.Curry_Types.C_Prog
d_C_readFlatCurryIntWithParseOptions x1 x2 cd cs =
  Curry_Prelude.d_OP_uscore_impl_hash_gt_gt_eq_hash_Prelude_dot_Monad_hash_Prelude_dot_IO
  (Curry_Distribution.d_C_lookupModuleSourceInLoadPath x1 cd cs)
  (d_OP_readFlatCurryIntWithParseOptions_dot_uscore_hash_lambda21 x2 x1) cd cs

d_OP_readFlatCurryIntWithParseOptions_dot_uscore_hash_lambda21 :: System.Curry_FrontendExec.C_FrontendParams
  -> Curry_Prelude.OP_List Curry_Prelude.C_Char -> Curry_Prelude.C_Maybe
  (Curry_Prelude.OP_Tuple2 (Curry_Prelude.OP_List Curry_Prelude.C_Char)
  (Curry_Prelude.OP_List Curry_Prelude.C_Char)) -> Cover -> ConstStore
  -> Curry_Prelude.C_IO FlatCurry.Curry_Types.C_Prog
d_OP_readFlatCurryIntWithParseOptions_dot_uscore_hash_lambda21 x1 x2 x3 cd cs =
  case x3 of
  Curry_Prelude.C_Nothing -> Curry_Prelude.d_OP_uscore_impl_hash_gt_gt_eq_hash_Prelude_dot_Monad_hash_Prelude_dot_IO
    (Curry_Distribution.d_C_getLoadPathForModule x2 cd cs)
    (d_OP_readFlatCurryIntWithParseOptions_dot_uscore_hash_lambda21_dot_uscore_hash_lambda26
    x2) cd cs
  Curry_Prelude.C_Just x4 -> d_C__case_0 x2 x1 x4 cd cs
  Curry_Prelude.Choice_C_Maybe d i l r -> narrow d i
    (d_OP_readFlatCurryIntWithParseOptions_dot_uscore_hash_lambda21 x1 x2 l cd
    cs) (d_OP_readFlatCurryIntWithParseOptions_dot_uscore_hash_lambda21 x1 x2 r
    cd cs)
  Curry_Prelude.Choices_C_Maybe d i xs -> narrows cs d i (\z ->
    d_OP_readFlatCurryIntWithParseOptions_dot_uscore_hash_lambda21 x1 x2 z cd
    cs) xs
  Curry_Prelude.Guard_C_Maybe d c e -> guardCons d c
    (d_OP_readFlatCurryIntWithParseOptions_dot_uscore_hash_lambda21 x1 x2 e
    cd $! addCs c cs)
  Curry_Prelude.Fail_C_Maybe d info -> failCons d (traceFail
    "FlatCurry.Files.readFlatCurryIntWithParseOptions._#lambda21" [show x1, show
    x2, show x3] info)
  _ -> failCons cd (consFail
    "FlatCurry.Files.readFlatCurryIntWithParseOptions._#lambda21" (showCons x3))

d_OP_readFlatCurryIntWithParseOptions_dot_uscore_hash_lambda21_dot_uscore_hash_lambda26 :: Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Curry_Prelude.OP_List (Curry_Prelude.OP_List
  Curry_Prelude.C_Char) -> Cover -> ConstStore -> Curry_Prelude.C_IO
  FlatCurry.Curry_Types.C_Prog
d_OP_readFlatCurryIntWithParseOptions_dot_uscore_hash_lambda21_dot_uscore_hash_lambda26 x1 x2 cd cs =
  let x3 = x2
  in Curry_Prelude.d_OP_uscore_impl_hash_gt_gt_eq_hash_Prelude_dot_Monad_hash_Prelude_dot_IO
  (Curry_FileGoodies.d_C_getFileInPath (d_C_flatCurryIntName
  (Curry_Prelude.d_C_apply (Curry_FilePath.d_C_takeFileName cd cs) x1 cd cs) cd
  cs) (Curry_Prelude.OP_Cons Curry_Prelude.OP_List Curry_Prelude.OP_List) x3 cd
  cs)
  d_OP_readFlatCurryIntWithParseOptions_dot_uscore_hash_lambda21_dot_uscore_hash_lambda26_dot_uscore_hash_lambda28
  cd cs

d_OP_readFlatCurryIntWithParseOptions_dot_uscore_hash_lambda21_dot_uscore_hash_lambda26_dot_uscore_hash_lambda28 :: Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Cover -> ConstStore -> Curry_Prelude.C_IO
  FlatCurry.Curry_Types.C_Prog
d_OP_readFlatCurryIntWithParseOptions_dot_uscore_hash_lambda21_dot_uscore_hash_lambda26_dot_uscore_hash_lambda28 x1 cd cs =
  let x2 = x1 in d_C_readFlatCurryFile x2 cd cs

d_C_writeFCY :: Curry_Prelude.OP_List Curry_Prelude.C_Char
  -> FlatCurry.Curry_Types.C_Prog -> Cover -> ConstStore -> Curry_Prelude.C_IO
  Curry_Prelude.OP_Unit
d_C_writeFCY x1 x2 cd cs = Curry_Prelude.d_C_writeFile x1
  (Curry_ReadShowTerm.d_C_showTerm x2 cd cs) cd cs

d_C_lookupFlatCurryFileInLoadPath :: Curry_Prelude.OP_List Curry_Prelude.C_Char
  -> Cover -> ConstStore -> Curry_Prelude.C_IO (Curry_Prelude.C_Maybe
  (Curry_Prelude.OP_List Curry_Prelude.C_Char))
d_C_lookupFlatCurryFileInLoadPath x1 cd cs =
  Curry_Prelude.d_OP_uscore_impl_hash_gt_gt_eq_hash_Prelude_dot_Monad_hash_Prelude_dot_IO
  (Curry_Distribution.d_C_getLoadPathForModule x1 cd cs)
  (Curry_FileGoodies.d_C_lookupFileInPath (d_C_flatCurryFileName x1 cd cs)
  (Curry_Prelude.OP_Cons Curry_Prelude.OP_List Curry_Prelude.OP_List)) cd cs

d_C_getFlatCurryFileInLoadPath :: Curry_Prelude.OP_List Curry_Prelude.C_Char
  -> Cover -> ConstStore -> Curry_Prelude.C_IO (Curry_Prelude.OP_List
  Curry_Prelude.C_Char)
d_C_getFlatCurryFileInLoadPath x1 cd cs =
  Curry_Prelude.d_OP_uscore_impl_hash_gt_gt_eq_hash_Prelude_dot_Monad_hash_Prelude_dot_IO
  (Curry_Distribution.d_C_getLoadPathForModule x1 cd cs)
  (Curry_FileGoodies.d_C_getFileInPath (d_C_flatCurryFileName x1 cd cs)
  (Curry_Prelude.OP_Cons Curry_Prelude.OP_List Curry_Prelude.OP_List)) cd cs

d_C__case_0 :: Curry_Prelude.OP_List Curry_Prelude.C_Char
  -> System.Curry_FrontendExec.C_FrontendParams -> Curry_Prelude.OP_Tuple2
  (Curry_Prelude.OP_List Curry_Prelude.C_Char) (Curry_Prelude.OP_List
  Curry_Prelude.C_Char) -> Cover -> ConstStore -> Curry_Prelude.C_IO
  FlatCurry.Curry_Types.C_Prog
d_C__case_0 x2 x1 x4 cd cs = case x4 of
  Curry_Prelude.OP_Tuple2 x5 x6 -> Curry_Prelude.d_OP_uscore_impl_hash_gt_gt_hash_Prelude_dot_Monad_hash_Prelude_dot_IO
    (System.Curry_FrontendExec.d_C_callFrontendWithParams
    System.Curry_FrontendExec.C_FINT x1 x2 cd cs) (d_C_readFlatCurryFile
    (d_C_flatCurryIntName (Curry_Prelude.d_C_apply (Curry_Prelude.d_C_apply
    (Curry_FilePath.d_OP_lt_slash_gt cd cs) x5 cd cs) (Curry_Prelude.d_C_apply
    (Curry_FilePath.d_C_takeFileName cd cs) x2 cd cs) cd cs) cd cs) cd cs) cd cs
  Curry_Prelude.Choice_OP_Tuple2 d i l r -> narrow d i (d_C__case_0 x2 x1 l cd
    cs) (d_C__case_0 x2 x1 r cd cs)
  Curry_Prelude.Choices_OP_Tuple2 d i xs -> narrows cs d i (\z -> d_C__case_0 x2
    x1 z cd cs) xs
  Curry_Prelude.Guard_OP_Tuple2 d c e -> guardCons d c (d_C__case_0 x2 x1 e
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple2 d info -> failCons d (traceFail
    "FlatCurry.Files._case_0" [show x2, show x1, show x4] info)
  _ -> failCons cd (consFail "FlatCurry.Files._case_0" (showCons x4))

d_C__case_1 :: Curry_Prelude.OP_List Curry_Prelude.C_Char
  -> System.Curry_FrontendExec.C_FrontendParams -> Curry_Prelude.OP_Tuple2
  (Curry_Prelude.OP_List Curry_Prelude.C_Char) (Curry_Prelude.OP_List
  Curry_Prelude.C_Char) -> Cover -> ConstStore -> Curry_Prelude.C_IO
  FlatCurry.Curry_Types.C_Prog
d_C__case_1 x2 x1 x4 cd cs = case x4 of
  Curry_Prelude.OP_Tuple2 x5 x6 -> Curry_Prelude.d_OP_uscore_impl_hash_gt_gt_hash_Prelude_dot_Monad_hash_Prelude_dot_IO
    (System.Curry_FrontendExec.d_C_callFrontendWithParams
    System.Curry_FrontendExec.C_FCY x1 x2 cd cs) (d_C_readFlatCurryFile
    (d_C_flatCurryFileName (Curry_Prelude.d_C_apply (Curry_Prelude.d_C_apply
    (Curry_FilePath.d_OP_lt_slash_gt cd cs) x5 cd cs) (Curry_Prelude.d_C_apply
    (Curry_FilePath.d_C_takeFileName cd cs) x2 cd cs) cd cs) cd cs) cd cs) cd cs
  Curry_Prelude.Choice_OP_Tuple2 d i l r -> narrow d i (d_C__case_1 x2 x1 l cd
    cs) (d_C__case_1 x2 x1 r cd cs)
  Curry_Prelude.Choices_OP_Tuple2 d i xs -> narrows cs d i (\z -> d_C__case_1 x2
    x1 z cd cs) xs
  Curry_Prelude.Guard_OP_Tuple2 d c e -> guardCons d c (d_C__case_1 x2 x1 e
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple2 d info -> failCons d (traceFail
    "FlatCurry.Files._case_1" [show x2, show x1, show x4] info)
  _ -> failCons cd (consFail "FlatCurry.Files._case_1" (showCons x4))

